<%_ if (position === 'import') { _%>
import { AnnoCategory } from '@/models/enumerations/anno-category.model';
<%_ } _%>
<%_ if (position === 'method') { _%>
  <%_ if (clientTheme === 'vben' && clientFramework === 'vue') { _%>
  retrieveUnread(category: AnnoCategory, params: object): Promise<PageRecord<IAnnouncement>> {
    const paginationQuery = {
      page: 0,
      size: 5,
      ...params,
    };
    const options = buildPaginationQueryOpts(paginationQuery);
    return defHttp.get({ url: `${apiUrl}/current-user/unread/${category}`, params: options });
  },
  release(id: number): Promise<IAnnouncement> {
    return defHttp.put({ url: `${apiUrl}/${id}/release` });
  },
  read(id: number):  Promise<any> {
    return defHttp.put({ url: `${apiUrl}/${id}/read` });
  },
  <%_ } _%>
<%_ } _%>
